const path = require("path");

module.exports = {
  entry: "./src/index.ts",
  mode: "production",
  target: "node",
  devtool: "source-map",
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: "ts-loader",
        exclude: /node_modules/,
      },
      { test: /\.mustache$/, use: "raw-loader" },
    ],
  },
  resolve: {
    extensions: [".tsx", ".ts", ".js"],
  },
  output: {
    filename: "index.js",
    library: {
      type: "commonjs",
    },
    path: path.resolve(__dirname, "dist"),
  },
  externals: {
    'koishi-core': 'koishi-core',
  }
};
